ome-xml 5.2.3

Public Member Functions | List of all members
ome::xml::model::primitives::QuantityConverter< Unit, Value > Struct Template Reference

Convert a quantity to a different unit. More...

`#include <ome/xml/model/primitives/Quantity.h>`

## Public Member Functions
Quantity< Unit, Value > | operator() (const Quantity< Unit, Value > &quantity, typename Quantity< Unit, Value >::unit_type unit) const
| Convert quantity to another unit. More...

## Detailed Description

### template<typename Unit, typename Value>
struct ome::xml::model::primitives::QuantityConverter< Unit, Value >

Convert a quantity to a different unit.

Helper to work around the lack of partial function template specialization. You shouldn't need to use this directly; use the plain convert() function instead.

## Member Function Documentation

## § operator()()

template<typename Unit, typename Value>

Quantity<Unit, Value> ome::xml::model::primitives::QuantityConverter< Unit, Value >::operator() | ( | const Quantity< Unit, Value > & | quantity,
|  | typename Quantity< Unit, Value >::unit_type | unit
| ) |  | const

Convert quantity to another unit.

Parameters

  quantity | the quantity to convert.
  unit | the unit to which to convert the quantity.

Returns
  the converted quantity.

Exceptions

  std::logic | error if the unit systems are incompatible making conversion impossible.

The documentation for this struct was generated from the following file:

- ome/xml/model/primitives/Quantity.h